Package org.bukkit

# Enum Class Fluid

java.lang.Object
java.lang.Enum<Fluid>
org.bukkit.Fluid

All Implemented Interfaces:
  `Serializable`, `Comparable<Fluid>`, `Constable`, `net.kyori.adventure.key.Keyed`, `Keyed`

public enum Fluid extends Enum<Fluid> implements Keyed

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FLOWING_LAVA`
`FLOWING_WATER`
`LAVA`
`WATER`

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`static Fluid`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Fluid[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Enum Constant Details

### WATER

public static final Fluid WATER

### FLOWING_WATER

public static final Fluid FLOWING_WATER

### LAVA

public static final Fluid LAVA

### FLOWING_LAVA

public static final Fluid FLOWING_LAVA

## Method Details

### values

public static Fluid[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Fluid valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key